/* ================================
   layout.css
   全站布局系统
================================ */

html {
  font-size: 16px;
}

body {
  font-family: var(--font-main);
  font-size: var(--font-size-md);
  line-height: var(--line-normal);
  color: var(--color-text);
  background: var(--color-bg);
}

body.menu-open {
  overflow: hidden;
}

/* 页面主体：用于固定导航栏占位 */
.page {
  min-height: 100vh;
  padding-top: var(--header-height);
}

.page-no-padding {
  padding-top: 0;
}

/* 区块标题 */

.section-header {
  width: 100%;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.section-title {
  font-size: var(--font-size-3xl);
  color: var(--color-text);
  max-width: 80%;
}

.section-title-text {
  font-size: var(--font-size-md);
  max-width: 80%;
  margin-top: var(--space-4);
}

/* 容器 */
.container {
  width: min(calc(100% - 48px), 1440px);
  margin-inline: auto;
}

/* 图片比例 */
.ratio {
  position: relative;
  overflow: hidden;
}

.ratio::before {
  content: "";
  display: block;
}

.ratio-16x9::before {
  padding-top: 56.25%;
}

.ratio-4x3::before {
  padding-top: 75%;
}

.ratio-1x1::before {
  padding-top: 100%;
}

.ratio>img,
.ratio>picture,
.ratio>video {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
}

.ratio img,
.ratio video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* 响应式 */
@media (max-width: 1024px) {
  .grid-4 {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .grid-3 {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .container {
    width: calc(100% - 40px);
  }
}

@media (max-width: 768px) {

  .grid,
  .grid-2,
  .grid-3,
  .grid-4 {
    grid-template-columns: 1fr;
    gap: var(--space-5);
  }

  .section-title {
    font-size: var(--font-size-xl);
    color: var(--color-text);
    max-width: 94%;
  }

  .section-title-text {
    font-size: var(--font-size-sm);
    max-width: 94%;
    margin-top: var(--space-4);
  }

  .container {
    width: calc(100% - 32px);
  }
}